<?php setcookie("login", $_COOKIE["login"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<?php setcookie("sessio", $_COOKIE["sessio"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<html>
  <head>
    <link rel="stylesheet" href="estils/hoja.css" type="text/css" />
    <title>Menú administratiu</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("menu.inc") ?>
        </td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>

        <!-- Començament del cos -->
        <?php require("private/connect.inc");
              require("private/ident.inc");
              ident();
              $login=addslashes($_COOKIE["login"]);
              $link=Conectar();
              $result=mysql_query("SELECT
              id,novetats,personal,personal_propi,tesis_total,tesis_propies,deiminaris,usuaris,
              cercador FROM usuaris WHERE
              login LIKE '$login'");
              $row = mysql_fetch_array($result);
              $id = $row["id"];
              mysql_free_result($result);
        ?>
        <center><h2>Administració</h2></center>
        <?php // Si el password es "admin", encara no s'ha canviat (es el que es posa
              // inicialment al crear les BD)
              echo "<table bgcolor=#4f0000 align=left border=0 cellpadding=0 cellspacing=0
                    width=\"94%\"><tr><td align=right><b>Usuari:</b> " . $login
                   ."&nbsp;&nbsp;</td></tr></table><br><br>";
        ?>
        <?php
          // Visualitzem només links als menús que té permís l'usuari.
          if ($row["novetats"]=="true"){
            echo "<b class=\"titol\">Novetats/Notícies</b><br><br>
              <a href=\"novetats/afegir.php\">Afegir</a><br>
              <a href=\"novetats/modificar.php\">Modificar</a><br>
              <a href=\"novetats/esborrar.php\">Esborrar</a><br>
              <a href=\"novetats/cercar.php\">Cercar</a><br><br>
             
              <b class=\"titol\">Links</b><br>
              <a href=\"links/afegir.php\">Afegir Slot</a><br>
              <a href=\"links/modificar.php\">Modificar Slot</a><br>
              <a href=\"links/esborrar.php\">Esborrar últim Slot</a><br><br>";
              
          }
          if ($row["personal"]=="true"){
            echo "<b class=\"titol\">Personal</b><br><br>
              <a href=\"personal/afegir.php\">Afegir</a><br>
              <a href=\"personal/modificar.php\">Modificar</a><br>
              <a href=\"personal/esborrar.php\">Esborrar</a><br>
              <a href=\"personal/cercar.php\">Cercar</a><br><br>";
              
            echo "<a href=\"personal/afegir-area.php\">Afegir Àrea</a><br>
                  <a href=\"personal/esborrar-area.php\">Esborrar Àrea</a><br><br>";
          } elseif ($row["personal_propi"]=="true"){
            echo "<b class=\"titol\">Ficha personal</b><br><br>
              <a href=\"personal/modificar-propi.php?id=$id\">Modificar</a><br><br>";
          }
          if (($row["tesis_total"]=="true") OR ($row["tesis_propies"]=="true")){
            echo "<b class=\"titol\">Tesis</b><br><br>
              <a href=\"tesis/afegir.php\">Afegir</a><br>
              <a href=\"tesis/modificar.php\">Modificar</a><br>
              <a href=\"tesis/esborrar.php\">Esborrar</a><br>";
              if ($row["tesis_total"]=="true") {
                echo "<a href=\"tesis/cercar.php\">Cercar</a><br>";
              }
              echo "<br>";
          }
          if ($row["tesis_total"]=="true") {
            echo "<a href=\"tesis/afegir-cat.php\">Afegir Categoria</a><br>
              <a href=\"tesis/esborrar-cat.php\">Esborrar Categoria</a><br><br>";
          }
          if ($row["deiminaris"]=="true") {
            echo "<b class=\"titol\">Deiminaris</b><br><br>
              <a href=\"deiminaris/afegir.php\">Afegir</a><br>
              <a href=\"deiminaris/modificar.php\">Modificar</a><br>
              <a href=\"deiminaris/esborrar.php\">Esborrar</a><br>
              <a href=\"deiminaris/cercar.php\">Cercar</a><br>
              <a href=\"deiminaris/extra.php\">Extra</a><br><br>";
          }
          if ($row["usuaris"]=="true"){
            echo "<b class=\"titol\">Usuaris</b><br><br>
              <a href=\"admin/afegir.php\">Afegir</a><br>
              <a href=\"admin/modificar.php\">Modificar</a><br>
              <a href=\"admin/esborrar.php\">Esborrar</a><br>
              <a href=\"admin/cercar.php\">Cercar</a><br><br>";
          }
/*          if ($row["cercador"]=="true"){
            echo "<b class=\"titol\">Cercador</b><br><br>
            <a href=\"../phpdig/index.php\">Modificar</a><br><br>";
          }*/
          if ($_COOKIE["login"] == "admin"){
             echo "<b class=\"titol\">Logs</b><br><br>
             <a href=\"../admin/viewlog.php\">Log d'usuaris</a><br>
             <a href=\"../admin/viewmaillog.php\">Log d'usuaris del webmail</a><br><br><br>";
          }
        ?>
        <a href="admin/canviar.php"><img src="images/canviarpassword.jpg" border="0"></a>
        
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
  </body>
</html>

